---
_import: ../_global.yaml
_overrider:
    weights: &weights
        shift: &incrementalshift
            type: mayo.override.IncrementalQuantizer
            interval: 0.2
            count_zero: false
            _priority: 100
            quantizer:
                type: mayo.override.TernaryQuantizer
                should_update: true
                enable: true
                _priority: 80
    depthwise_weights: {<<: *weights}
    biases: {<<: *weights}
    # activation:
    #     fixed:
    #         type: mayo.override.FixedPointQuantizer
    #         width: 8
    #         point: 4
    #         should_update: true
    #         stochastic: false
    #         _priority: 100